Subject: [dnsop] re: draft DNSOP agenda for IETF 63

From: "CTO YAN Renxiang" <[email-masked]>
Date: Thu, 21 Jul 2005 13:25:41 +0800

Hi Paul,

Thanks for your information.

I haven't checked the history list in the DNSOP, and when I submitted the
draft half year ago in IPv6 WG, I received few comment.

The main and most important difference between our I-D is in the DNS 
update operation. Update happens between host and DNS server, or router
update the DNS for the host, similar to FQDN option. My main intension is to 
keep the security between router and DNS server.

The problem of ND security is painful but I think SEND WG has don't a lot in
this area.

I'm not going to start the discussion of ND service discovery here. But I still
think embedding DNS update in RA/RS may be better :-)

RGs,
Renxiang
-----------------------
Renxiang Yan,
Research Engineer
Research & Innovation Center, Alcatel Shanghai Bell.
------------

> -----邮件原件-----
> 发件人: Jaehoon Jeong [mailto:[email-masked]] 
> 发送时间: 2005年7月21日 12:33
> 收件人: CTO YAN Renxiang
> 抄送: 'David Meyer'; [email-masked]
> 主题: RE: draft DNSOP agenda for IETF 63
> 
> 
> Hi Renxiang Yan,
> 
> This is an interesting draft.
> Actually, I published and presented a similar draft two years 
> ago (in IETF-57 meeting): 
> http://www-users.cs.umn.edu/~jjeong/publications/ietf-internet
-draft/draft-j
> eong-ipv6-ra-dns-
> autoconf-00.txt
> 
> In my memory, most of IPv6 and DNS people at the meeting 
> didn't like my auto-configuration and auto-registration of 
> DNS name based on RA/RS because of the ND Security and the 
> availability of the DHCP Client FQDN Option. :-)
> 
> Also, many people disagreed that ND can be used for generic 
> service discovery, such as proxy server and NTP server. But 
> some of them agreed at the configuration of recursive DNS 
> server addresses in IPv6 host which is based on IPv6 RA 
> option for DNS server address as follows:
> http://www.ietf.org/internet-drafts/draft-ietf-dnsop-ipv6-dns-
> configuration-
> 06.txt
> 
> I am afraid that the previous discussion on ND-based service 
> discovery will start again.
> 
> This is a piece of the DNSOP history from which I think you 
> can get some information with regard to your work.
> 
> Thanks.
> 
> Regards,
> Paul
> 
> ============================================================
> Jaehoon Paul Jeong,
> Ph.D. Student,
> Department of Computer Science
> University of Minnesota at Twin Cities
> Email: [email-masked]
> URI: http://www.cs.umn.edu/~jjeong/
> Phone: +1-612-624-6208(Office), 651-587-7774(Cell)
> 
> -----Original Message-----
> From: [email-masked] 
> [mailto:[email-masked]]
> On Behalf Of CTO YAN Renxiang
> Sent: Wednesday, July 20, 2005 8:21 PM
> To: David Meyer
> Cc: [email-masked]
> Subject: [dnsop] 答复: [dnsop] draft DNSOP agenda for IETF 63
> 
> Dear Chairs
> 
> We would like to have a slot to present the following item:
> 
> - The I-D document name
>   DNS update in IPv6 stateless configuration
>   This draft is currently available from 
> http://www.ietf.org/internet-drafts/draft-yan-ipv6-ra-dns-00.txt
> 
> RGs,
> renxiang yan
> 
> 
> > -----邮件原件-----
> > 发件人: [email-masked]
> > [mailto:[email-masked]] 代表 David Meyer
> > 发送时间: 2005年7月21日 5:47
> > 收件人: [email-masked]
> > 抄送: [email-masked]
> > 主题: [dnsop] draft DNSOP agenda for IETF 63
> > 
> > 
> > 	Please forward comments to Rob and me.
> > 
> > 	Thanks,
> > 
> > 	Dave & Rob
> > 
> > ---
> > Domain Name System Operations (dnsop)
> > 
> > MONDAY, August 1, 1030-1230 (Morning Session II)
> > ================================================
> > 
> > CHAIR(s): David Meyer <[email-masked]>
> >           Rob Austein <[email-masked]>
> > 
> > AGENDA
> > 
> >  o Administriva						
> >  5 minutes
> > 
> >    - Mailing list: [email-masked]
> >      subscribe dnsop
> > 
> >    - Scribe(s)?
> >       Jabber
> >       Other
> > 
> >    - Blue Sheets
> > 
> >  o Agenda Bashing					 5 minutes
> >    Meyer                                           
> > 
> >  o Review and status of work items			 
> > 
> >    Newly Approved
> >    --------------
> >    draft-ietf-dnsop-ipv6-dns-configuration (Info)	5 minutes
> >      Jeong, et al.
> > 
> >    AD Followup
> >    -------------------------------
> >    draft-ietf-dnsop-ipv6-dns-issues (Info)		5 minutes
> >      Savola
> > 
> >    AD is watching    
> >    --------------
> >    draft-ietf-dnsop-dnssec-operational-practices (Info)  5 minutes
> >      Kolkman, et. al
> >    
> >    Active Drafts
> >    -------------
> >    draft-ietf-dnsop-serverid-04.txt                     10 minutes
> >      Wolfe
> >    draft-ietf-dnsop-bad-dns-res-03.txt			
> >  5 minutes
> >      Larson/Barber
> >    draft-ietf-dnsop-inaddr-required-06.txt		 3 minutes
> >      Senie
> >    draft-ietf-dnsop-key-rollover-requirements-02.txt	
>  5 minutes
> >      Guette, et al.
> > 
> >    Expired Drafts 
> >    --------------
> >    draft-ietf-dnsop-respsize-01.txt 
> >      Vixie/Kato
> >    draft-kato-dnsop-local-zones-00.txt
> >      Vixie/Kato
> > 
> >    Potential WG Items
> >    ------------------
> >    draft-durand-dnsop-dont-publish	                3 minutes
> >      Durand
> >    draft-morishita-dnsop-anycast-node-requirements-01.txt
> >      Morishita						
> > 10 minutes
> >    draft-krishnaswamy-dnsop-dnssec-split-view-00.txt	
>  5 minutes
> >      Krishnaswamy
> >    draft-fujiwara-dnsop-bad-dns-auth-02.txt		 5 minutes
> >      Fujiwara, et al
> >    draft-fujiwara-dnsop-dns-transport-issue-00.txt	 5 minutes
> >      Fujiwara
> >    draft-massar-dnsop-service-00.txt                    10 minutes
> >      Massar  
> >    draft-minda-dnsop-using-in-bailiwick-nameservers-01.txt 
> 5 minutes 
> >      Minda
> >    draft-morishita-dnsop-anycast-node-requirements-01.txt 10 minutes
> >      Morishita
> > 
> > 
> > 
> 
> .
> dnsop resources:_____________________________________________________
> web user interface: http://darkwing.uoregon.edu/~llynch/dnsop.html
> mhonarc archive: http://darkwing.uoregon.edu/~llynch/dnsop/index.html
> 
> 

.
dnsop resources:_____________________________________________________
web user interface: http://darkwing.uoregon.edu/~llynch/dnsop.html
mhonarc archive: http://darkwing.uoregon.edu/~llynch/dnsop/index.html